
:root {
  --text-color: #010b33;
  --primary-color: #179154;
  --primary-contrast-color: #137844;
  --secondary-color: #ffffff;
  --secondary-contrast-color:#abdbb7;
  --hover-color:#e2f0e9;
}

html,
body{
    margin: 0;
    padding: 0;
    font-family: "Roboto";
    font-size: 14px;
}

*{    
  box-sizing: border-box;      
}

p{
    color: var(--text-color);
    size: 14px;
    font-weight: 500;
}

a{
    text-decoration: none;
}

.header .container .header-left img{
    max-width: 58%;
}

.container{
    width: 1400px;
    max-width: 96%;
    position: relative;
    display: table;
    margin: 0 auto;
}

.header{
    background-color: #FFF;
    padding: 10px 0;
    border-bottom: solid 1px #cccccc47;
    box-shadow: 1px 1px 3px #ccccccd1;
    float: left;
    width: 100%;
}

.header .container{
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;
}

.header .logo{
    max-width: 180px;
    float: left;
    padding: 10px 0 0;
}

.header .nav{
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 30px;
    align-items: center;
    justify-content: space-around;
}

.header .nav li{
    padding: 22px 0;
}

.header .nav li a{
    color: var(--text-color);
    
}

.header .nav li.current-menu-item a,
.header .nav li:hover a{
    color: var(--primary-color);
    text-decoration: underline;
    text-decoration-color: var(--primary-color);
    text-underline-offset: 1em;
}



.button-primary{
    border-radius: 10px;
    background-color: var(--primary-color);
    padding: 15px;
    text-decoration: none;
    color: #FFF;  
    font-size: 14px; 
}

.button-primary:hover{
    background-color: var(--primary-contrast-color);
}

.button-seconadry{
    border-radius: 10px;
    background-color: var(--secondary-color);
    padding: 15px 12px;
    text-decoration: none;
    color: var(--text-color);
    font-size: 14px; 
    font-weight: 500;
}

.button-seconadry:hover{
    background-color: var(--secondary-contrast-color);
}


.mega-menu-wrap{
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    border-radius: 10px;
    box-shadow: 3px 3px 15px 4px #ccccccd1;
    padding: 20px; 
    z-index: 9999; 
    background:#FFF;
}

.header .nav li:hover .mega-menu-wrap{
    display: block;
}

.mega-menu{
    display: flex;
}

.mega-menu .mega-menu-left{
    display: flex;
    justify-content: space-between;
    align-items: normal;
    flex-wrap: wrap;
    width: 80%;
}

.menu_item_wrap{
    display: flex;
    flex-direction: row;
    width: 100%;
}
.menu_item_wrap .menu_item {
    list-style: none;
    width: 25%;
    padding: 0;
}
.menu_item_wrap .menu_item h2{
    color: var(--text-color);
}

.menu_item_wrap .menu_item ul{
    padding: 0;
    list-style: none;
}
.header .nav li .menu_item_wrap ul li{
   padding: 5px;
}

.header .nav li .menu_item_wrap ul li a{
    float: none;
    color: black;
    padding: 12px 16px 12px 0;
    text-decoration: none;
    display: block;
    text-align: left;
    border-radius: 5px;
}
.header .nav li .menu_item_wrap ul li a:hover{
    background: #e2f0e9;
}
.header .nav li .menu_item_wrap ul li a span {
    padding: 9px;
    margin-right: 10px;
    border: 1px solid #e2f0e9;
    background-color: #e2f0e9;
    color: #62b488;
    border-radius: 10px;
    line-height: 2;
}

.menu_benifits{
    display: flex;
    flex-direction: row;
    gap: 1%;
}

.menu_benifits .lower-menu {
    padding: 2px;
    border: 1px solid #e2f0e9;
    background-color: #e2f0e9;
    color: #62b488;
    border-radius: 10px;
    width: 24%;
}

.menu_benifits .lower-menu h4{
    color: var(--text-color);
    margin: 0;
    padding: 0;
    font-size: 15px;
    margin-bottom: 5px;
    font-weight: 800;
}

.menu_benifits .lower-menu p{
    line-height: 1.5;
    margin: 0;  
}

.menu_benifits .lower-menu{
    display: flex;
    justify-content: flex-start;
}

.menu_benifits .lower-menu .icon-container{
    width: 20%;
    justify-content: center;
    display: flex;
    align-items: center;
    font-size: 25px;
    padding: 30px;
}

.menu_benifits .lower-menu .text-container{
    align-content: center;
    
}

.mega-menu-right{
    width: 20%;
    background-color: var(--primary-color);
    border-radius: 10px;
    padding: 20px 20px 30px 20px ;
    display: flex;
    justify-content: center;
    flex-direction: column;  
}

.mega-menu-right h2{
    color:var(--secondary-color) ;
    margin-bottom: 15px; 
}

.mega-menu-right p{
    color: var(--secondary-color);
    line-height: 2;
    margin-bottom: 30px;
    text-align: justify;
}

.mega-menu-right .secondary-button{
    margin-top: 20px;
}

.mega-menu-right .button-seconadry{
    padding: 15px 12px !important;
    text-decoration: none !important;
    
}
.mega-menu-right .button-seconadry:hover{
    text-decoration: none !important;
}

.mega-menu-right .menu-image img{
    width: 100%;
}

.nav .dropdown_menu {
  list-style: none;
  padding: 0;
  margin: 0;
  
}

.dropdown_menu {
  display: none;
  position: absolute; 
  top: 100%;          
  min-width: 160px;
  background-color:var(--secondary-color);
  border-radius: 10px;
  box-shadow: 3px 3px 15px 4px #ccccccd1;
  z-index: 999;
       
}

.header ul.nav li.dropdown_trigger ul.dropdown_menu li {
  width: 100%;
  padding: 0;
}

.dropdown_trigger:hover .dropdown_menu {
  display: block;
}

.header ul.nav li.dropdown_trigger ul.dropdown_menu a{
    text-decoration: none;
    color: var(--text-color);
    margin-left: 20px;
    display: block;
    padding: 16px 16px 17px 5px;
    margin: 0;
    text-align: center;
    
}

.header ul.nav li.dropdown_trigger ul.dropdown_menu a:hover{
    text-decoration: none;
    background-color: var(--hover-color);
}

.herobanner{
    width: 100%; 
    display: flex;
    flex-direction: column;
    background-image: url("home.png");
    background-size: cover;
    background-position: center;
    height: 600px;
    justify-content: center;  
}

.herobanner .text_block_container{
    display: flex;
    flex-direction: column;
    width: 46%;
    justify-content: center; 
    
}

.text_block h4{
    font-size: 50px;
    color: var(--text-color); 
    margin: 0; 
}

.text_block span{
    font-size: 50px;
    color: var(--primary-color);   
    margin: 0;
}

.text_block p{
    font-size: 17px;
    line-height: 1.8;
    
}

.benefit_block{
    display: flex;
    flex-direction: row;
    gap: 1%;
    
}

.benefits{
    width: 25%;
    display: flex;
    flex-direction: row;
}

.icon_block{
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    background-color: #f9f8fa;
    padding-right: 10px;
}

.icon_block i{
    font-size: 20px;
    color: var(--primary-color);
}

.moto_block{
    
    color: var(--text-color);
    display: flex;
    align-items: center ;
}

.button_block{
    gap: 5%;
    display: flex;
    flex-direction: row;
    margin-top: 40px;
}

.button_block .button-primary{
    justify-content: center;
    width: 40%;
    display: inline-flex;
    align-items: center;
    gap: 8px;
}

.button_block .button-seconadry{
    justify-content: center;
    width: 30%;
    border: 2px solid var(--text-color);
    display: inline-flex;
    align-items: center;
    gap: 8px;
}

.services_section .services_heading h3{
    text-align: center;
    font-size: 30px;
    color: var(--text-color);
    margin-bottom: 0;
}

.services_section .services_heading p{
    text-align: center;   
}

.services_content{
    display: flex;
    flex-direction: row;
}

.services_content .contents{
    width: 20%;
    display: flex;
    flex-direction: column;
    box-shadow: -2px 2px 6px 0px #ccccccd1;
    padding: 30px;
}

.services_section .services_content .contents .icon_block i{
    display: flex;
    justify-content: center;
    font-size: 40px;
    border-radius: 100px;
    background-color: #f5f7fa;
    color: #457acb;
}

.services_section .services_content .contents h5{
    display: flex;
    justify-content: center;
    font-size: 15px;
}

.services_section .services_content .contents p{
    display:flex;
    justify-content: center;
    text-align: center;
    font-size: 14px;
    margin: 0;
}

.services_section .services_content .contents a{
    display:flex;
    justify-content: center;
    text-align: center;
    font-size: 14px;
    font-weight: 500;
    margin-top: 20px;
    color: #1253b8;
    gap: 8px;
}

.services_section .services_content .contents a:hover{
   color:#02255e ;
}












